Issue 114732 - Error: AccessibleEventNotifier::implLookupClient: invalid client id (did you register your client?)!
Summary: Error: AccessibleEventNotifier::implLookupClient: invalid client id (did you ...
Status: CLOSED FIXED
Alias: None
Product: Impress
Classification: Application
Component: code (show other issues)
Version: DEV300m88
Hardware: All All
: P3 Trivial (vote)
Target Milestone: 3.4.0
Assignee: groucho266
QA Contact: issues@graphics
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-24 13:50 UTC by Frank Schönheit
Modified: 2017-05-20 10:30 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Frank Schönheit 2010-09-24 13:50:19 UTC
- open a new impress doc
- close the doc
=> an assertion pops up, saying
   Error: AccessibleEventNotifier::implLookupClient: invalid client id (did
   you register your client?)!
   From File comphelper/source/misc/accessibleeventnotifier.cxx at Line 122
Comment 1 Frank Schönheit 2010-09-24 13:50:33 UTC
assertion bug, hindering work with the non-product release => targeting to the
next feasible non-micro release
Comment 2 clippka 2010-10-04 14:45:07 UTC
reassigned
Comment 3 groucho266 2011-02-17 09:51:17 UTC
The comphelper::AccessibleEventNotifier was revoked unconditionally when the
application window was disposed, even when the notifier was never registered.

For the changes, see
http://hg.services.openoffice.org/hg/cws/impress211/rev/a2d2fef6877d
Comment 4 philipp.lohmann 2011-03-23 10:18:32 UTC
verified in CWS impress211